# $Revision: 1.6 $, $Date: 2004/10/01 11:14:18 $
%include        /usr/lib/rpm/macros.perl
Summary:	Graphical frontend for MPlayer/Mencoder for DVD ripping
Summary(pl):	Graficzna nakadka na MPlayer/Mencoder do zgrywania DVD
Name:		acidrip
Version:	0.12
Release:	2
License:	GPL/Artistic
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/acidrip/%{name}-%{version}.tar.gz
# Source0-md5:	efa9d7b1c5d7c0f72b33c3d88012e81c
Source1:	%{name}.desktop
Patch0:		%{name}-makefile.patch
URL:		http://acidrip.thirtythreeandathird.net/
BuildRequires:	perl-Gtk2 >= 0.98
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	lsdvd >= 0.10
Requires:	mplayer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AcidRip is a Gtk2-perl application for ripping and encoding DVD's. It
is Graphical wraper to MPlayer and MEncoder which automates the
process in a number of ways:
- finds longest title
- calculate video bitrate for given filesize
- finds black bands and crops them
- gives sugesstions for improved performance

%description -l pl
AcidRip jest aplikacj opart o Gtk2-perl suc do zgrywania i
odkodowywania pyt DVD. Jest to graficzna nakadka na MPlayera i
MEncodera, ktra automatyzuje ten proces na kilka sposobw:
- znajduje najduszy tytu
- oblicza transfer wideo dla danej wielkoci pliku
- znajduje i przycina czarne opaski
- podaje propozycje dla zwikszenia wydajnoci

%prep
%setup -q
%patch0 -p1

%build
%{__perl} Makefile.PL \
        INSTALLDIRS=vendor

%{__make} \
        OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -c %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG TODO
%attr(755,root,root) %{_bindir}/*
%dir %{perl_vendorlib}/AcidRip
%{perl_vendorlib}/AcidRip/*.pm
%{_desktopdir}/*.desktop
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: acidrip.spec,v $
Revision 1.6  2004/10/01 11:14:18  paladine
- rel 2 for fixed desktop file

Revision 1.5  2004/08/30 13:45:52  snurf
- typo

Revision 1.4  2004/01/26 21:30:25  yogib
- updated to 0.12

Revision 1.3  2003/12/26 23:18:29  yogib
- TODO done;
- patch for removing of buildtest for lsdvd/mplayer
- improved descriptions
- removed SOURCE2 (there is no icon for acidrip)

Revision 1.2  2003/11/29 10:02:25  qboosh
- missing dir
- removed BR: perl-ExtUtils-MakeMaker (provided by perl-devel, almost all
  modules rely on it)

Revision 1.1  2003/11/28 20:38:43  freetz
- initial release (see TODO list)
